<div class="project">
    <div class="header">
        <span class="title">{{ getProjectTitle() }}</span>
        <div class="button-code">
            <button mat-button><a href="{{ getGitLink() }}" target="_blank">Voir le code</a></button>
        </div>
        <div *ngFor="let tag of getProjectTags()" class="labels">
            <app-tag
            [tag]="tag"></app-tag>   
        </div>
    </div>

    <div [innerHtml]="getProjectContent()" class="description"></div>
    
    <div class="right">
        <div *ngIf="isLog()" class="ajoutPost">
            <button mat-button (click)="openDialogAddPost()">Ajouter un post</button>
        </div>
    </div>
    

    <div *ngFor="let post of getProjectPosts()" class="posts">
        <app-post-preview
        class="post"
        [post]="post"
        (click)="openPost(post)"></app-post-preview>
    </div>
    
</div>
